summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm_istio/istio
diff options
context:
space:
mode:
authorYapeng Wu <yapengwu@gmail.com>2018-01-18 20:10:06 +0000
committerYapeng Wu <yapengwu@gmail.com>2018-01-19 18:39:06 +0000
commitb5f2330198ba9eb581972f1f394f7cf8c3ed2db8 (patch)
tree8e61a7f7f6e0427b839e51aae6bfacafccb1a413 /src/vagrant/kubeadm_istio/istio
parent47fd6c397129ed89a2e67349829222c791632d2c (diff)
Add istio 0.4 installation on top of k8s 1.9
Based on k8s 1.9 (kubeadm_basic) installation, adding the istio 0.4 installation and simple validation. Change-Id: Iee2c71974fb2b33df0f9342e0bfd9e96e4dab8f5 Signed-off-by: Yapeng Wu <yapengwu@gmail.com>
Diffstat (limited to 'src/vagrant/kubeadm_istio/istio')
-rwxr-xr-xsrc/vagrant/kubeadm_istio/istio/bookinfo.sh41
-rwxr-xr-xsrc/vagrant/kubeadm_istio/istio/clean_bookinfo.sh27
-rwxr-xr-xsrc/vagrant/kubeadm_istio/istio/deploy.sh39
3 files changed, 107 insertions, 0 deletions
diff --git a/src/vagrant/kubeadm_istio/istio/bookinfo.sh b/src/vagrant/kubeadm_istio/istio/bookinfo.sh
new file mode 100755
index 0000000..b61ea4e
--- /dev/null
+++ b/src/vagrant/kubeadm_istio/istio/bookinfo.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Huawei Technologies Canada Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+cd /vagrant/istio-source/
+export PATH=$PWD/bin:$PATH
+
+# Run the test application: bookinfo
+kubectl apply -f <(istioctl kube-inject -f samples/bookinfo/kube/bookinfo.yaml)
+
+# Wait for bookinfo deployed
+kubectl get services
+kubectl get pods
+
+r="0"
+while [ $r -ne "6" ]
+do
+ kubectl get pods
+ r=$(kubectl get pods | grep Running | wc -l)
+ sleep 60
+done
+
+# Validate the bookinfo app
+export GATEWAY_URL=$(kubectl get po -l istio=ingress -n istio-system -o 'jsonpath={.items[0].status.hostIP}'):$(kubectl get svc istio-ingress -n istio-system -o 'jsonpath={.spec.ports[0].nodePort}')
+curl -o /dev/null -s -w "%{http_code}\n" http://${GATEWAY_URL}/productpage
+
diff --git a/src/vagrant/kubeadm_istio/istio/clean_bookinfo.sh b/src/vagrant/kubeadm_istio/istio/clean_bookinfo.sh
new file mode 100755
index 0000000..b5bfc08
--- /dev/null
+++ b/src/vagrant/kubeadm_istio/istio/clean_bookinfo.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Huawei Technologies Canada Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+cd /vagrant/istio-source/
+export PATH=$PWD/bin:$PATH
+
+# Clean up bookinfo
+samples/bookinfo/kube/cleanup.sh
+
+istioctl get routerules
+kubectl get pods
diff --git a/src/vagrant/kubeadm_istio/istio/deploy.sh b/src/vagrant/kubeadm_istio/istio/deploy.sh
new file mode 100755
index 0000000..6e2e7ce
--- /dev/null
+++ b/src/vagrant/kubeadm_istio/istio/deploy.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Huawei Technologies Canada Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+# Deploy istio 0.4.0
+cd /vagrant
+curl -L https://git.io/getLatestIstio | sh -
+mv istio-0.4.0 istio-source
+cd /vagrant/istio-source/
+export PATH=$PWD/bin:$PATH
+kubectl apply -f install/kubernetes/istio.yaml
+
+# Validate the installation
+kubectl get svc -n istio-system
+kubectl get pods -n istio-system
+
+r="0"
+while [ $r -ne "4" ]
+do
+ kubectl get pods -n istio-system
+ r=$(kubectl get pods -n istio-system | grep Running | wc -l)
+ sleep 60
+done
+